org.eclipse.draw2d

## Interface SchemeBorder.SCHEMES

Enclosing class:
  SchemeBorder

    public static interface SchemeBorder.SCHEMES

Interface which defines some commonly used schemes for the border. These schemes can be given as input to the `SchemeBorder` to generate appropriate borders.

### Field Summary

Fields
`static SchemeBorder.Scheme` `BUTTON_CONTRAST` Schemes used for shadow and highlight effects
`static SchemeBorder.Scheme` `BUTTON_PRESSED` Schemes used for shadow and highlight effects
`static SchemeBorder.Scheme` `BUTTON_RAISED` Schemes used for shadow and highlight effects
`static SchemeBorder.Scheme` `ETCHED` Schemes used for shadow and highlight effects
`static SchemeBorder.Scheme` `LOWERED` Schemes used for shadow and highlight effects
`static SchemeBorder.Scheme` `RAISED` Schemes used for shadow and highlight effects
`static SchemeBorder.Scheme` `RIDGED` Schemes used for shadow and highlight effects

### Field Detail

#### BUTTON_CONTRAST

    static final SchemeBorder.Scheme BUTTON_CONTRAST

Schemes used for shadow and highlight effects

#### BUTTON_RAISED

    static final SchemeBorder.Scheme BUTTON_RAISED

Schemes used for shadow and highlight effects

#### BUTTON_PRESSED

    static final SchemeBorder.Scheme BUTTON_PRESSED

Schemes used for shadow and highlight effects

#### RAISED

    static final SchemeBorder.Scheme RAISED

Schemes used for shadow and highlight effects

#### LOWERED

    static final SchemeBorder.Scheme LOWERED

Schemes used for shadow and highlight effects

#### RIDGED

    static final SchemeBorder.Scheme RIDGED

Schemes used for shadow and highlight effects

#### ETCHED

    static final SchemeBorder.Scheme ETCHED

Schemes used for shadow and highlight effects